Commet
  • Precios
Iniciar SesiónRegistrarse
Batch create customers POSTCreate customer POSTGet customer GETList customers GETUpdate customer PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Batch create customers

Create up to 100 customers in a single request.

POST
/customers/batch

Create up to 100 customers in a single request.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customers*array<>

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers/batch" \  -H "Content-Type: application/json" \  -d '{    "customers": [      {        "email": "user@example.com"      }    ]  }'
{  "success": true,  "data": {    "successful": [      {        "id": "string",        "externalId": "string",        "email": "string"      }    ],    "failed": [      {        "index": -9007199254740991,        "error": "string",        "data": {          "id": "string",          "externalId": "string",          "email": "string",          "fullName": "string",          "timezone": "string",          "metadata": {            "property1": null,            "property2": null          },          "address": {            "line1": "string",            "line2": "string",            "city": "string",            "state": "string",            "postalCode": "string",            "country": "string",            "region": "string"          }        }      }    ],    "object": "customer",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Update credit pack PUT

Update a credit pack's name, description, credits, price, or active status.

Create customer POST

Create a new customer. Idempotent when customerId is provided.